Get Connection Graph

Get Connection Graph
Get communication graph for requested entity type

Get the connection graph for the specified object type

Request
URI
POST
https://{api_host}/api/ni/micro-seg/graph
COPY
Request Body

Graph Request

EntityCommunicationSummaryRequest of type(s) application/json
Required
{
    "scope": {
        "scope_type": "string",
        "entity_ids": [
            "string"
        ]
    },
    "group_by": "string",
    "time_range": {
        "start_time": 1597247025,
        "end_time": 1597247999
    }
}
object
scope
Optional

scope

string
group_by
Optional

group_by

object
time_range
Optional

time_range

Authentication
This operation uses the following authentication methods.
Responses
200

Success

Returns GraphResponse of type(s) application/json
{
    "nodes": [
        {
            "id": "string",
            "name": "string",
            "entityId": "string"
        }
    ],
    "edges": [
        {
            "srcId": "string",
            "dstId": "string"
        }
    ]
}
array of object
nodes
Optional

nodes

array of object
edges
Optional

edges


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/micro-seg/graph